#include <iostream>
#include <cstdio>

using namespace std;

int dx[4] = {1, 0, -1, 0};
int dy[4] = {0, 1, 0, -1};

int border[2][2];

bool canGo(int x, int y) {
    return x > border[0][0] && x < border[0][1] &&
           y > border[1][0] && y < border[1][1];
}

void reduceBoard(int d) {
    switch (d) {
        case 0:
            border[1][0]++;
            break;
        case 1:
            border[0][1]--;
            break;
        case 2:
            border[1][1]--;
            break;
        case 3:
            border[0][0]++;
            break;
        default:
            break;
    }
}

int main() {
    freopen("gyvatele-vyr.in", "r", stdin);
    freopen("gyvatele-vyr.out", "w", stdout);

    int n, m, x, y;
    cin >> n >> m >> x >> y;

    border[0][0] = -1;
    border[0][1] = n;
    border[1][0] = -1;
    border[1][1] = m;

    int distance = 0;
    int direction = 0;
    int posX = 0, posY = 0;

    while (posX < x && posY < y && n - posX - 1 > x && m - posY - 1 > y) {
        for (int d = 0; d < 4; d++) {
            reduceBoard(d);
        }
        distance += 2 * (n + m - 2 - 4*posX);
        posX++;
        posY++;
    }

    while (posX != x || posY != y) {
        int newX = posX + dx[direction];
        int newY = posY + dy[direction];
        if (canGo(newX, newY)) {
            distance++;
            posX = newX;
            posY = newY;
        } else {
            reduceBoard(direction);
            direction++;
            direction %= 4;
        }
    }

    cout << distance << endl;

    return 0;
}
